Bug 448916 - nscd sucking 100% cpu
nscd sucking 100% cpu
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
9
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-29 10:00 EDT by Neal Becker
Modified: 2008-08-02 23:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.8-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-02 23:21:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (6.91 KB, text/plain)
2008-06-05 08:31 EDT, Brian Long
no flags Details

  None (edit)
Description Neal Becker 2008-05-29 10:00:08 EDT
Description of problem:

I have now several times experienced nscd using 100% cpu.  No idea what triggers
this.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Brian Long 2008-06-05 08:30:47 EDT
I can confirm this just took place on my F9 laptop.  I will attach a small
snippet of strace output.
Comment 2 Brian Long 2008-06-05 08:31:12 EDT
Created attachment 308430 [details]
strace output
Comment 3 Ulrich Drepper 2008-06-12 13:52:24 EDT
(In reply to comment #1)
> I can confirm this just took place on my F9 laptop.  I will attach a small
> snippet of strace output.

The log only shows the first thread, not the others.  There are also no
timestamps so I don't know the scale.  But this looks quite normal.  There are
incoming requests and the epoll mask is modified.
Comment 4 Simo Sorce 2008-07-15 18:06:42 EDT
I had a virtual machine dieing under nscd 99% load for many many minutes, as
soon as I did an 'service nscd restart' the machine resurrected, and nscd
stopped using 99% cpu.

what kind of information do you need to analyze this problem ?
is strace sufficient?
attach gdb ?
Comment 5 Ulrich Drepper 2008-08-02 23:21:44 EDT
Should work nicely in current version.

Note You need to log in before you can comment on or make changes to this bug.